# Router.h File Reference

Router plugin. Allows you to send to systems you are not directly connected to, and to route those messages. More...

`#include "NativeFeatureIncludes.h"`
`#include "RakNetTypes.h"`
`#include "PluginInterface2.h"`
`#include "DS_OrderedList.h"`
`#include "DS_WeightedGraph.h"`
`#include "PacketPriority.h"`
`#include "SystemAddressList.h"`
`#include "RouterInterface.h"`
`#include "Export.h"`
`#include "ConnectionGraph.h"`

## Classes
class | Router
| Used to route messages between peers. More...

## Detailed Description

Router plugin. Allows you to send to systems you are not directly connected to, and to route those messages.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.